# 资金接口/汇率查询

## 查询货币对的交易汇率

> bizType=fund.app.FundExchangeRateQueryService.getTradeExchangeRate\
> version: 0.0.1\
> 查询货币对的交易汇率<br>

```json
{"openapi":"3.0.1","info":{"title":"默认模块","version":"1.0.0"},"tags":[{"name":"资金接口/汇率查询"}],"servers":[{"url":"https://prewppc-3.cmfbl.com/api","description":"PRE测试公司439"}],"security":[],"paths":{"/global/fund.app.FundExchangeRateQueryService.getTradeExchangeRate":{"post":{"summary":"查询货币对的交易汇率","deprecated":false,"description":"bizType=fund.app.FundExchangeRateQueryService.getTradeExchangeRate\nversion: 0.0.1\n查询货币对的交易汇率\n","operationId":"getExchangeRateList","tags":["资金接口/汇率查询"],"parameters":[{"name":"version","in":"header","description":"","required":true,"schema":{"type":"string"}},{"name":"companyId","in":"header","description":"","required":true,"schema":{"type":"string"}},{"name":"trace","in":"header","description":"","required":true,"schema":{"type":"string"}},{"name":"lang","in":"header","description":"","required":true,"schema":{"type":"string"}},{"name":"token","in":"header","description":"","required":false,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"companyId":{"type":"string","description":"公司ID"},"trace":{"type":"string","description":"跟踪码"},"ip":{"type":"string","description":"IP"},"lang":{"type":"string","description":"语言"},"sourceCurrency":{"type":"string","description":"源货币编码"},"targetCurrency":{"type":"string","description":"目标货币编码"}},"required":["sourceCurrency","targetCurrency","trace"]}}}},"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"code":{"type":"string","description":"状态返回码"},"msg":{"type":"string","description":"状态描述"},"tm":{"type":"string","description":"处理时长（毫秒）"},"trace":{"type":"string","description":"跟踪码"},"msgParams":{"type":"string","description":"返回描述中占位符参数串，多个参数间以,分割"},"data":{"description":"数据体","$ref":"#/components/schemas/ExchangeRateConvertDto"},"ok":{"type":"string"},"fail":{"type":"string"}}}}},"headers":{}}}}}},"components":{"schemas":{"ExchangeRateConvertDto":{"type":"object","properties":{"rate":{"type":"string","description":"兑换比率"},"formulaSymbol":{"type":"string","description":"运算规则乘或除,取值为multiply或divide"},"sourceDigits":{"type":"integer","format":"int32","description":"源货币小数位"},"targetDigits":{"type":"integer","format":"int32","description":"目标货币小数位"},"sourceCurrency":{"type":"string","description":"源货币编码"},"targetCurrency":{"type":"string","description":"目标货币编码"}}}}}}
```

## 批量查询货币对的存取款汇率

> bizType=fund.app.FundExchangeRateQueryService.getExchangeRateList\
> version: 0.0.1\
> 批量查询货币对的存取款汇率\
> 游客可访问<br>

```json
{"openapi":"3.0.1","info":{"title":"默认模块","version":"1.0.0"},"tags":[{"name":"资金接口/汇率查询"}],"servers":[{"url":"https://prewppc-3.cmfbl.com/api","description":"PRE测试公司439"}],"security":[],"paths":{"/global/fund.app.FundExchangeRateQueryService.getExchangeRateList":{"post":{"summary":"批量查询货币对的存取款汇率","deprecated":false,"description":"bizType=fund.app.FundExchangeRateQueryService.getExchangeRateList\nversion: 0.0.1\n批量查询货币对的存取款汇率\n游客可访问\n","operationId":"getExchangeRateList","tags":["资金接口/汇率查询"],"parameters":[{"name":"version","in":"header","description":"","required":true,"schema":{"type":"string"}},{"name":"companyId","in":"header","description":"","required":true,"schema":{"type":"string"}},{"name":"trace","in":"header","description":"","required":true,"schema":{"type":"string"}},{"name":"lang","in":"header","description":"","required":true,"schema":{"type":"string"}},{"name":"token","in":"header","description":"","required":false,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FundExchangeRateBatchQueryDto"}}}},"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BaseResultListExchangeRateConvertDto"}}},"headers":{}}}}}},"components":{"schemas":{"FundExchangeRateBatchQueryDto":{"type":"object","required":["companyId","currencies"],"properties":{"companyId":{"type":"integer","format":"int64","description":"公司ID"},"trace":{"type":"string","description":"跟踪码"},"ip":{"type":"string","description":"操作ip"},"lang":{"type":"string","description":"请求语言"},"currencies":{"type":"array","description":"兑换货币对列表,非空,列表最大长度50","items":{"$ref":"#/components/schemas/CurrencyPair"},"maxItems":50,"minItems":1}}},"CurrencyPair":{"type":"object","properties":{"source":{"type":"string","description":"源货币编码"},"target":{"type":"string","description":"目标货币编码"}}},"BaseResultListExchangeRateConvertDto":{"type":"object","properties":{"bizCode":{"type":"string","description":"模块标识码"},"code":{"type":"string","description":"状态返回码"},"msg":{"type":"string","description":"状态描述"},"tm":{"type":"integer","format":"int64","description":"处理时长（毫秒）"},"trace":{"type":"string","description":"跟踪码"},"msgParams":{"type":"string","description":"返回描述中占位符参数串，多个参数间以,分割"},"data":{"type":"array","description":"数据体","items":{"$ref":"#/components/schemas/ExchangeRateConvertDto"}},"ok":{"type":"boolean"},"fail":{"type":"boolean"}}},"ExchangeRateConvertDto":{"type":"object","properties":{"rate":{"type":"string","description":"兑换比率"},"formulaSymbol":{"type":"string","description":"运算规则乘或除,取值为multiply或divide"},"sourceDigits":{"type":"integer","format":"int32","description":"源货币小数位"},"targetDigits":{"type":"integer","format":"int32","description":"目标货币小数位"},"sourceCurrency":{"type":"string","description":"源货币编码"},"targetCurrency":{"type":"string","description":"目标货币编码"}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs-cn.multimarkets.org/client-api/geng-duo-.../zi-jin-jie-kou-huilcha-xun.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
